if (UnitLevel("player") == MAX_PLAYER_LEVEL_TABLE[GetAccountExpansionLevel()]) then return end

local XpGainNotify = LibStub("AceAddon-3.0"):NewAddon("XpGainNotify", "AceEvent-3.0");

function XpGainNotify:OnEnable()
    self.lastXp = UnitXP('player');
    self:RegisterEvent("PLAYER_XP_UPDATE");
end

function XpGainNotify:OnDisable()
    self:UnregisterEvent("PLAYER_XP_UPDATE");
end

function XpGainNotify:PLAYER_XP_UPDATE()
    local xp = UnitXP('player');
    local xpMax = UnitXPMax('player');
    local gain = xp - self.lastXp;
    local percentLeft = ((floor(((xpMax - xp) / xpMax) * 10000)) / 100);
    local toGo = xpMax - xp;
    local repetitions = ceil(toGo / gain);
    local gainPercent = ((floor((gain / xpMax) * 10000)) / 100);

    if (gain > 0) then
        print("|cFFC4C4FF+" .. gain .. "XP/" .. gainPercent .. "%. " .. toGo .. "XP/" .. percentLeft .. "% to go. " .. repetitions .. " Repetitions|r");
    end

    self.lastXp = xp;
end
